Add Conversation Starter
curl --request POST \
--url https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"link": "<string>"
}
'import requests
url = "https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters"
payload = {
"title": "<string>",
"description": "<string>",
"link": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>', description: '<string>', link: '<string>'})
};
fetch('https://sitegpt.ai/api/v0/chatbots/{chatbotId}/conversation-starters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Added conversation starter to the chatbot successfully",
"data": {}
}
Conversation Starters
Add Conversation Starter
Add a new Conversation Starter to a particular chatbot.
POST
/
v0
/
chatbots
/
{chatbotId}
/
conversation-starters
Add Conversation Starter
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Your Chatbot ID
Body
application/jsonapplication/xmlmultipart/form-datatext/html
Request body to add a conversation starter
Request Body
Title of the conversation-starter. This is the text that is shown as button in the chatbot.
Description of the conversation-starter. This is the message that will be sent to the chatbot when you click on the conversation-starter inside the chatbot.
Link of the conversation starter. If this link is added, then when you click on the conversation starter in the chatbot, this link will be opened instead of sending a message to the chatbot.
Was this page helpful?